Commit f8ba4b55 authored by Herbert Valerio Riedel's avatar Herbert Valerio Riedel 🕺

Bump `base` version to 4.9.0.0 (closes #11026)

This also relaxes a few upper bounds on base in the ghc.git repo;

This required a mass-rewrite in testsuite/

  sed -i s,base-4.8.2.0,base-4.9.0.0,g $(git grep -Fl 'base-4.8.2.0')

because it turns out the testsuite is still sensitive to package version
changes.
parent 32f92a33
name: base
version: 4.8.2.0
version: 4.9.0.0
-- NOTE: Don't forget to update ./changelog.md
license: BSD3
license-file: LICENSE
......
# Changelog for [`base` package](http://hackage.haskell.org/package/base)
## 4.8.2.0 *TBA*
## 4.9.0.0 *TBA*
* Bundled with GHC 8.0
* The restore operation provided by `mask` and `uninterruptibleMask` now
restores the previous masking state whatever the current masking state is.
* Bundled with GHC 7.12.1
* `Alt`, `Dual`, `First`, `Last`, `Product`, and `Sum` now have `Data`,
`MonadZip`, and `MonadFix` instances
......
......@@ -47,7 +47,7 @@ Library
Language.Haskell.TH.Lib.Map
build-depends:
base >= 4.6 && < 4.9,
base >= 4.6 && < 4.10,
ghc-boot,
pretty == 1.1.*
......
......@@ -24,5 +24,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -13,7 +13,7 @@ trusted: False
import-dirs: /5playpen/t-edyang/ghc-backpack/testsuite/tests/cabal/cabal06/inst-d/lib/x86_64-linux-ghc-7.9.20140719/q-1.0
library-dirs: /5playpen/t-edyang/ghc-backpack/testsuite/tests/cabal/cabal06/inst-d/lib/x86_64-linux-ghc-7.9.20140719/q-1.0
hs-libraries: HSd54a904d84001e92dbb7d30e2bede8ce
depends: base-4.8.2.0-inplace
depends: base-4.9.0.0-inplace
p-1.0-168289aa0216a183a2729001bb18e7a8
haddock-interfaces: /5playpen/t-edyang/ghc-backpack/testsuite/tests/cabal/cabal06/inst-d/share/doc/x86_64-linux-ghc-7.9.20140719/q-1.0/html/q.haddock
haddock-html: /5playpen/t-edyang/ghc-backpack/testsuite/tests/cabal/cabal06/inst-d/share/doc/x86_64-linux-ghc-7.9.20140719/q-1.0/html
......@@ -34,4 +34,4 @@ class (RealFrac a, Floating a) => RealFloat a where
instance RealFloat Float -- Defined in ‘GHC.Float’
instance RealFloat Double -- Defined in ‘GHC.Float’
isPrefixOf :: Eq a => [a] -> [a] -> Bool
-- Defined in ‘base-4.8.2.0:Data.OldList’
-- Defined in ‘base-4.9.0.0:Data.OldList’
......@@ -17,5 +17,5 @@ INSTANCES
FAMILY INSTANCES
type Elem (ListColl a)
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -5,5 +5,5 @@ TYPE CONSTRUCTORS
Promotable
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -10,5 +10,5 @@ COERCION AXIOMS
FAMILY INSTANCES
data instance Sing
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.3.1.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.3.1.0,
integer-gmp-0.5.1.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -7,5 +7,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -227,5 +227,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.3.1.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.3.1.0,
integer-gmp-0.5.1.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -14,5 +14,5 @@ INSTANCES
-- Defined at Meltdown.hs:11:10
instance Monad (NukeMonad a b) -- Defined at Meltdown.hs:15:10
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.3.1.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.3.1.0,
integer-gmp-0.5.1.0]
\ No newline at end of file
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -5,5 +5,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -8,5 +8,5 @@ TYPE CONSTRUCTORS
Promotable
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -9,5 +9,5 @@ FAMILY INSTANCES
type instance F Int _
type instance F Bool _
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -3,5 +3,5 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
......@@ -4,7 +4,7 @@ TYPE SIGNATURES
TYPE CONSTRUCTORS
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
WarningWildcardInstantiations.hs:5:14: warning:
......
......@@ -7,5 +7,5 @@ cabal-version: >=1.10
library
exposed-modules: SayAnnNames
other-extensions: DeriveDataTypeable
build-depends: base >=4.8 && <4.9, ghc
build-depends: base >=4.8 && <4.10, ghc
default-language: Haskell2010
......@@ -3,7 +3,7 @@ rnfail040.hs:7:12:
Conflicting exports for ‘nub’:
‘module M’ exports ‘M.nub’
imported from ‘Data.List’ at rnfail040.hs:10:2-22
(and originally defined in ‘base-4.8.2.0:Data.OldList’)
(and originally defined in ‘base-4.9.0.0:Data.OldList’)
‘module M’ exports ‘T.nub’
imported from ‘Rnfail040_A’ at rnfail040.hs:11:2-24
(and originally defined at Rnfail040_A.hs:2:3-5)
......@@ -17,7 +17,7 @@ TYPE CONSTRUCTORS
data T7 (a :: k) b = K7 b
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
==================== Typechecker ====================
......
......@@ -7,7 +7,7 @@ TYPE CONSTRUCTORS
COERCION AXIOMS
axiom Roles12.NTCo:C2 :: C2 a = a -> a
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
==================== Typechecker ====================
......
......@@ -5,7 +5,7 @@ TYPE CONSTRUCTORS
data T2 a = K2 (FunPtr a)
COERCION AXIOMS
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
==================== Typechecker ====================
......
......@@ -22,7 +22,7 @@ COERCION AXIOMS
axiom Roles3.NTCo:C3 :: C3 a b = a -> F3 b -> F3 b
axiom Roles3.NTCo:C4 :: C4 a b = a -> F4 b -> F4 b
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
==================== Typechecker ====================
......
......@@ -11,7 +11,7 @@ COERCION AXIOMS
axiom Roles4.NTCo:C1 :: C1 a = a -> a
axiom Roles4.NTCo:C3 :: C3 a = a -> Syn1 a
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
==================== Typechecker ====================
......
......@@ -16,7 +16,7 @@ INSTANCES
instance [incoherent] Representational a
-- Defined at T8958.hs:10:10
Dependent modules: []
Dependent packages: [base-4.8.2.0, ghc-prim-0.4.0.0,
Dependent packages: [base-4.9.0.0, ghc-prim-0.4.0.0,
integer-gmp-1.0.0.0]
==================== Typechecker ====================
......
[3 of 3] Compiling Check01 ( Check01.hs, Check01.o )
<no location info>:
The package (base-4.8.2.0) is required to be trusted but it isn't!
The package (base-4.9.0.0) is required to be trusted but it isn't!
......@@ -2,4 +2,4 @@
[2 of 2] Compiling Check06 ( Check06.hs, Check06.o )
<no location info>:
The package (base-4.8.2.0) is required to be trusted but it isn't!
The package (base-4.9.0.0) is required to be trusted but it isn't!
......@@ -3,4 +3,4 @@
[3 of 3] Compiling Check08 ( Check08.hs, Check08.o )
<no location info>:
The package (base-4.8.2.0) is required to be trusted but it isn't!
The package (base-4.9.0.0) is required to be trusted but it isn't!
Check09.hs:4:1:
Prelude: Can't be safely imported!
The package (base-4.8.2.0) the module resides in isn't trusted.
The package (base-4.9.0.0) the module resides in isn't trusted.
Check09.hs:5:1:
Data.ByteString.Char8: Can't be safely imported!
......
ImpSafe01.hs:9:1:
Data.Word: Can't be safely imported!
The package (base-4.8.2.0) the module resides in isn't trusted.
The package (base-4.9.0.0) the module resides in isn't trusted.
ImpSafe04.hs:9:1:
Data.Word: Can't be safely imported!
The package (base-4.8.2.0) the module resides in isn't trusted.
The package (base-4.9.0.0) the module resides in isn't trusted.
<no location info>: error:
The package (base-4.8.2.0) is required to be trusted but it isn't!
The package (base-4.9.0.0) is required to be trusted but it isn't!
<no location info>: error:
The package (bytestring-0.10.6.0) is required to be trusted but it isn't!
<no location info>: error:
The package (base-4.8.2.0) is required to be trusted but it isn't!
The package (base-4.9.0.0) is required to be trusted but it isn't!
<no location info>: error:
The package (bytestring-0.10.6.0) is required to be trusted but it isn't!
......@@ -4,42 +4,42 @@ pdb.safePkg01/local.db:
trusted: False
M_SafePkg
package dependencies: base-4.8.2.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: base-4.9.0.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: safe
require own pkg trusted: False
M_SafePkg2
package dependencies: base-4.8.2.0 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: base-4.9.0.0 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: trustworthy
require own pkg trusted: False
M_SafePkg3
package dependencies: base-4.8.2.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: base-4.9.0.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: safe
require own pkg trusted: True
M_SafePkg4
package dependencies: base-4.8.2.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: base-4.9.0.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: safe
require own pkg trusted: True
M_SafePkg5
package dependencies: base-4.8.2.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: base-4.9.0.0* ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: safe
require own pkg trusted: True
M_SafePkg6
package dependencies: array-0.5.1.0 base-4.8.2.0* bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: array-0.5.1.0 base-4.9.0.0* bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: trustworthy
require own pkg trusted: False
M_SafePkg7
package dependencies: array-0.5.1.0 base-4.8.2.0* bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: array-0.5.1.0 base-4.9.0.0* bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: safe
require own pkg trusted: False
M_SafePkg8
package dependencies: array-0.5.1.0 base-4.8.2.0 bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
package dependencies: array-0.5.1.0 base-4.9.0.0 bytestring-0.10.6.0* deepseq-1.4.1.1 ghc-prim-0.4.0.0 integer-gmp-1.0.0.0
trusted: trustworthy
require own pkg trusted: False
......
SafeFlags17.hs:4:8:
Prelude: Can't be safely imported!
The package (base-4.8.2.0) the module resides in isn't trusted.
The package (base-4.9.0.0) the module resides in isn't trusted.